local uabStatus_Aggro = uabUnitStatus:NewModule("Aggro", "AceEvent-2.0", "AceModuleCore-2.0")
uabStatus_Aggro:SetModuleMixins("Banzai-1.1")

uabStatus_Aggro.defaultDB = {
    disabled = nil,
    priority = 50,
    color = { r = 1,    g = 0,    b = 0, a = 1, },
    classfilter = {
        druid = true,
        hunter = true,
        mage = true,
        paladin = true,
        priest = true,
        rogue = true,
        shaman = true,
        warlock = true,
        warrior = true,
    },
}

function uabStatus_Aggro:OnInitialize()
    self.super.OnInitialize(self)

	self:RegisterUnitStatus(self.name)

	self:RegisterEvent("Banzai_UnitGainedAggro")
	self:RegisterEvent("Banzai_UnitLostAggro")
end

function uabStatus_Aggro:Banzai_UnitGainedAggro(unitId)
end

function uabStatus_Aggro:Banzai_UnitLostAggro(unitId)
end

function uabStatus_Aggro:OnEnable()
end

function uabStatus_Aggro:OnDisable()
end

function uabStatus_Aggro:IsStatusGained(name, unit, action)
	if name == self.name then
        local class = self:GetUnitClass(unit)
        
        if not class or self.db.profile.classfilter[class] then
    		return self:GetUnitAggroByUnitId(unit)
        end
	end
end

function uabStatus_Aggro:CreateUnitStatusOptions()
    return self:CreateUnitStatusOption(self.db.profile, "Aggro", "Aggro", true)
end
