local uabStatus_Dead = uabUnitStatus:NewModule("Dead")

uabStatus_Dead.defaultDB = {
    disabled = nil,
    priority = 50,
    color = { r = 1,    g = 0,    b = 0, a = 1, },
    classfilter = {
        druid = true,
        hunter = true,
        mage = true,
        paladin = true,
        priest = true,
        rogue = true,
        shaman = true,
        warlock = true,
        warrior = true,
    },
}

function uabStatus_Dead:OnInitialize()
    self.super.OnInitialize(self)

	self:RegisterUnitStatus(self.name)
end

function uabStatus_Dead:OnEnable()
end

function uabStatus_Dead:OnDisable()
end

function uabStatus_Dead:IsStatusGained(name, unit, action)
    local class = self:GetUnitClass(unit)
    
    if not class or self.db.profile.classfilter[class] then
    	if name == self.name then
    		return UnitIsDead(unit)
    	end
    end
end

function uabStatus_Dead:CreateUnitStatusOptions()
    return self:CreateUnitStatusOption(self.db.profile, "Dead", "Dead", true)
end
